using System;
using System.Collections;
using System.Text;
using System.Data;

using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

namespace HelloPart
{
    public class ContactViewer : WebPart
    {
        public ContactViewer()
        {
            this.Title = "Contact Viewer Web Part";
            this.ExportMode = WebPartExportMode.All;
        }


        private SPGridView grid;

        protected override void CreateChildControls()
        {
            base.CreateChildControls();

            // create and add the gridview control
            this.grid = new SPGridView();
            this.grid.AutoGenerateColumns = false;

            this.Controls.Add(this.grid);
        }

        protected override void RenderContents(System.Web.UI.HtmlTextWriter writer)
        {

            SPWeb site = SPContext.Current.Web;
            SPSiteDataQuery query = new SPSiteDataQuery();

            string strWhere =
            "<Where>" +
              "<Gt>" +
                "<FieldRef Name=\"ID\" />" +
                "<Value Type=\"Number\">0</Value>" +
              "</Gt>" +
            "</Where>";

            //string strOrderBy = "<OrderBy><FieldRef Name=\"FileRef\" /></OrderBy>";

            query.Webs = "<Webs Scope=\"Recursive\">";

            query.Query = strWhere; // +strOrderBy;

            query.Lists = "<Lists ServerTemplate=\"105\" />";
            query.ViewFields = "<FieldRef Name=\"ID\" /><FieldRef Name=\"FirstName\" /><FieldRef Name=\"Title\" />";


            DataTable dtResults = site.GetSiteData(query);

            DataView dv = new DataView(dtResults);

            // set up the field bindings
            SPBoundField boundField = new SPBoundField();
            boundField.HeaderText = "Prijmeni";
            boundField.DataField = "Title";
            this.grid.Columns.Add(boundField);

            boundField = new SPBoundField();
            boundField.HeaderText = "Jmeno";
            boundField.DataField = "FirstName";
            this.grid.Columns.Add(boundField);

            this.grid.AutoGenerateColumns = false;
            this.grid.DataSource = dv;
            this.grid.DataBind();

            this.grid.AllowSorting = true;
            this.grid.HeaderStyle.Font.Bold = true;

            this.grid.RenderControl(writer);


        }

    }
}

