using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;
using Microsoft.SharePoint;

namespace LitwareEventHandlers
{
    public class Handler1 : SPItemEventReceiver
    {
        public override void ContextEvent(SPItemEventProperties properties)
        {
            WriteLogEvent("ContextEvent Fired");
        }

        public override void ItemAdding(SPItemEventProperties properties)
        {
            WriteLogEvent("ItemAdding Fired");
        }

        public override void ItemUpdating(SPItemEventProperties properties)
        {
            WriteLogEvent("ItemUpdating Fired");
        }

        public override void ItemUpdated(SPItemEventProperties properties)
        {
            WriteLogEvent("ItemUpdated Fired");            
        }

        public override void ItemDeleting(SPItemEventProperties properties)
        {
            properties.Cancel = true;
            properties.ErrorMessage = "Deleting items from " + properties.ListTitle + " list is not supported.";
        }


        public void WriteLogEvent(string Message)
        {
            EventLog log = new EventLog("Application");
            if(!EventLog.SourceExists("Litware Logger"))
                EventLog.CreateEventSource("Litware Logger", "Application");
            log.Source = "Litware Logger";
            log.WriteEntry(Message);
        }

    }
}
