using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SharePoint;

namespace SharePointExplorer
{
    public partial class Form1 : Form
    {
        private SPWeb currentWeb;

        public Form1()
        {
            InitializeComponent();
        }

        private void getListsButton_Click(object sender, EventArgs e)
        {
            listsListBox.Items.Clear();
            currentWeb = new SPSite(urlTextBox.Text).OpenWeb();

            currentWeb.Lists.ListsForCurrentUser = true;
            foreach (SPList list in currentWeb.Lists)
            {
                listsListBox.Items.Add(list);
            }
        }

        private void listsListBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            listItemsListBox.Items.Clear();
            if (listsListBox.SelectedItem != null)
            {
                SPList list = (SPList)listsListBox.SelectedItem;
                foreach (SPListItem item in list.Items)
                {
                    listItemsListBox.Items.Add(item);
                }
            }
        }

        private void retrieveSecWeb_Click(object sender, EventArgs e)
        {
            ISecurableObject itemToCheck = currentWeb;
            DisplaySecurity(itemToCheck);
        }

        private void DisplaySecurity(ISecurableObject itemToCheck)
        {
            rolesTree.Nodes.Clear();
            foreach (SPRoleAssignment roleAssignment in itemToCheck.RoleAssignments)
            {
                TreeNode memberNode = new TreeNode(roleAssignment.Member.Name);
                foreach (SPRoleDefinition roleDef in roleAssignment.RoleDefinitionBindings)
                {
                    TreeNode defNode = new TreeNode(roleDef.Name);
                    memberNode.Nodes.Add(defNode);
                }
                rolesTree.Nodes.Add(memberNode);
            }
        }

        private void retrieveSecItem_Click(object sender, EventArgs e)
        {
            ISecurableObject itemToCheck = (SPList)listsListBox.SelectedItem;
            DisplaySecurity(itemToCheck);
        }

        private void retreiveSecList_Click(object sender, EventArgs e)
        {
            ISecurableObject itemToCheck = (SPListItem)listItemsListBox.SelectedItem;
            DisplaySecurity(itemToCheck);
        }
    }
}